Package com.verisign.epp.codec.idntable

## Class EPPIdnTableCheckCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPCheckCmd
    - - com.verisign.epp.codec.idntable.EPPIdnTableCheckCmd

- All Implemented Interfaces:
    `EPPCodecComponent`, `EPPMessage`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPIdnTableCheckCmd
      extends EPPCheckCmd

  Represents an EPP Internationalized Domain Name (IDN) Table <check> command, which is used to determine if an (IDN) Table Identifier is known to the server. The <idnTable:check> element MUST either a list of <idnTable:domain> elements to check on the IDN table information for the domain names or a list of < elements to check on the IDN table information for the IDN table identifiers:
  `EPPIdnTableCheckResp` is the concrete `EPPReponse` associated with `EPPIdnTableCheckCmd`.
  See Also:
    `EPPIdnTableCheckResp`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `EPPIdnTableCheckCmd.Form` | Check form types, that include: `UNDEFINED_FORM` that represents an undefined state, where neither or both tables and domains are defined. `DOMAIN_FORM` that represents the "Domain Check Form", where domain names are only defined. `TABLE_FORM` that represents the "Table Check Form", where table identifiers are only defined.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPIdnTableCheckCmd`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPIdnTableCheckCmd`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPIdnTableCheckCmd()` | `EPPIdnTableCheckCmd` default constructor.
    `EPPIdnTableCheckCmd​(java.lang.String aTransId)` | `EPPIdnTableCheckCmd` constructor that only takes the client transaction identifier
    `EPPIdnTableCheckCmd​(java.lang.String aTransId, EPPIdnTableDomainLabel aDomain)` | `EPPIdnTableCheckCmd` constructor for setting an individual domain name to check in Domain Check Form.
    `EPPIdnTableCheckCmd​(java.lang.String aTransId, java.lang.String aTable)` | `EPPIdnTableCheckCmd` constructor for setting an individual table identifier to check in Table Check Form.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addDomain​(EPPIdnTableDomainLabel aDomain)` | Append a domain name to the list of domain names to check.
    `void` | `addTable​(java.lang.String aTable)` | Append a table identifier to the list of table identifiers to check.
    `java.lang.Object` | `clone()` | Clone `EPPIdnTableCheckCmd`.
    `protected void` | `doDecode​(org.w3c.dom.Element aElement)` | Decode the `EPPIdnTableCheckCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the `EPPIdnTableCheckCmd` instance.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPIdnTableCheckCmd` with this instance.
    `java.util.List<EPPIdnTableDomainLabel>` | `getDomains()` | Get the list of domain names to check
    `EPPIdnTableCheckCmd.Form` | `getForm()` | What check form is being used, which are defined by the `Form` enumeration.
    `java.lang.String` | `getNamespace()` | Gets the EPP command Namespace associated with `EPPIdnTableCheckCmd`.
    `java.util.List<java.lang.String>` | `getTables()` | Get the list of table identifiers to check.
    `boolean` | `hasDomains()` | Are any domain names defined in the list of domain names?
    `boolean` | `hasTables()` | Are any table identifiers defined in the list of table identifiers?
    `void` | `setDomain​(EPPIdnTableDomainLabel aDomain)` | Set an individual domain name to check.
    `void` | `setDomains​(java.util.List<EPPIdnTableDomainLabel> aDomains)` | Set the list of domain names to check
    `void` | `setTable​(java.lang.String aTable)` | Set an individual table identifier to check.
    `void` | `setTables​(java.util.List<java.lang.String> aTables)` | Set the list of table identifiers to check.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCheckCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, findDuplicateExtNamespaces, findExtNamespaces, findExtNamespaceSuffixes, findUnsupportedExtNamespaces, findUnsupportedExtNamespaceSuffixes, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPIdnTableCheckCmd`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPIdnTableCheckCmd`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPIdnTableCheckCmd

          public EPPIdnTableCheckCmd()

      `EPPIdnTableCheckCmd` default constructor.

    - #### EPPIdnTableCheckCmd

          public EPPIdnTableCheckCmd​(java.lang.String aTransId)

      `EPPIdnTableCheckCmd` constructor that only takes the client transaction identifier
      Parameters:
        `aTransId` - Transaction Id associated with command.

    - #### EPPIdnTableCheckCmd

          public EPPIdnTableCheckCmd​(java.lang.String aTransId,
                                     java.lang.String aTable)

      `EPPIdnTableCheckCmd` constructor for setting an individual table identifier to check in Table Check Form.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aTable` - table identifier to check

    - #### EPPIdnTableCheckCmd

          public EPPIdnTableCheckCmd​(java.lang.String aTransId,
                                     EPPIdnTableDomainLabel aDomain)

      `EPPIdnTableCheckCmd` constructor for setting an individual domain name to check in Domain Check Form.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aDomain` - Domain name to check

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPIdnTableCheckCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPIdnTableMapFactory.NS`

    - #### getForm

          public EPPIdnTableCheckCmd.Form getForm()

      What check form is being used, which are defined by the `Form` enumeration.
      Returns:
        One of the `Form` values.

    - #### hasTables

          public boolean hasTables()

      Are any table identifiers defined in the list of table identifiers?
      Returns:
        `true` if there is at least one table identifier defined; `false` otherwise.

    - #### getTables

          public java.util.List<java.lang.String> getTables()

      Get the list of table identifiers to check.
      Returns:
        `List` of table identifier `String`'s

    - #### setTables

          public void setTables​(java.util.List<java.lang.String> aTables)

      Set the list of table identifiers to check.
      Parameters:
        `aTables` - `List` of table identifier `String`'s

    - #### setTable

          public void setTable​(java.lang.String aTable)

      Set an individual table identifier to check. This method clears the existing list of table identifiers.
      Parameters:
        `aTable` - Table identifier to check

    - #### addTable

          public void addTable​(java.lang.String aTable)

      Append a table identifier to the list of table identifiers to check. This method does NOT clear the existing list of table identifiers.
      Parameters:
        `aTable` - Table identifier to check

    - #### hasDomains

          public boolean hasDomains()

      Are any domain names defined in the list of domain names?
      Returns:
        `true` if there is at least one domain name defined; `false` otherwise.

    - #### getDomains

          public java.util.List<EPPIdnTableDomainLabel> getDomains()

      Get the list of domain names to check
      Returns:
        `List` of domain names

    - #### setDomains

          public void setDomains​(java.util.List<EPPIdnTableDomainLabel> aDomains)

      Set the list of domain names to check
      Parameters:
        `aDomains` - `List` of domain names

    - #### setDomain

          public void setDomain​(EPPIdnTableDomainLabel aDomain)

      Set an individual domain name to check. This method clears the existing list of domain names.
      Parameters:
        `aDomain` - Domain name to check

    - #### addDomain

          public void addDomain​(EPPIdnTableDomainLabel aDomain)

      Append a domain name to the list of domain names to check. This method does NOT clear the existing list of domain names.
      Parameters:
        `aDomain` - Domain name to check

    - #### doEncode

          protected org.w3c.dom.Element doEncode​(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPIdnTableCheckCmd` instance.
      Specified by:
        `doEncode` in class `EPPCheckCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPIdnTableCheckCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPIdnTableCheckCmd` instance.

    - #### doDecode

          protected void doDecode​(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPIdnTableCheckCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPCheckCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPIdnTableCheckCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPIdnTableCheckCmd` with this instance.
      Overrides:
        `equals` in class `EPPCheckCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPIdnTableCheckCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        Deep copy clone of `EPPIdnTableCheckCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.